/*
 * Holodisk from Fallout 1 and Fallout 2
 *
 * Main source: https://fallout.fandom.com/wiki/Holotape
 * Inspiration: https://www.artstation.com/artwork/R14Y
 * Related: http://cedmagic.com/history/holotape.html
 */

// dependency: https://github.com/revarbat/BOSL

use <holodisk_spec.scad>
use <anim.scad>

include <holodisk.scad>
include <reader.scad>

/*/ read camera
echo($vpr);
echo($vpt);
echo($vpd);
/**/
// set camera
$vpr=[70.4, 0, 314.3];
$vpt=[35.2535, 26.4734, 12.9879];
$vpd=325.228;
/**/